List ticket fields
curl --request GET \
--url https://cconnect.online/api/v1/ticket-fields \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cconnect.online/api/v1/ticket-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cconnect.online/api/v1/ticket-fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"label": "<string>",
"type": "<string>",
"required": true,
"options": [
"<string>"
]
}
],
"meta": {
"page": 123,
"per_page": 123,
"has_more": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}Tickets
List ticket fields
Returns your company’s custom field definitions. Use the field UUID as the custom_fields key.
Required scope: ticket_fields:read. Required product: desk.
GET
/
api
/
v1
/
ticket-fields
List ticket fields
curl --request GET \
--url https://cconnect.online/api/v1/ticket-fields \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cconnect.online/api/v1/ticket-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cconnect.online/api/v1/ticket-fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"label": "<string>",
"type": "<string>",
"required": true,
"options": [
"<string>"
]
}
],
"meta": {
"page": 123,
"per_page": 123,
"has_more": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>"
},
"request_id": "<string>"
}Authorizations
Company-owned API token. Supply Authorization: Bearer YOUR_CCONNECT_API_TOKEN. Never use provider tokens or member passwords. Tokens are shown only once when created.
Query Parameters
Page number (1–1000).
Required range:
1 <= x <= 1000Results per page (1–100).
Required range:
1 <= x <= 100